Get aggregated vote stats for multiple activities
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/votes/stats"), Content = new StringContent("{ \"attestation\": [ 1 ], \"bond\": [ 1 ], \"discussion\": [ 1 ], \"review\": [ 1 ], \"slash\": [ 1 ], \"vouch\": [ 1 ], \"vouchV2\": [ 1 ], \"project\": [ 1 ], \"reputationMarket\": [ 1 ], \"broker\": [ 1 ], \"includeArchived\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/votes/stats"
payload := strings.NewReader("{ \"attestation\": [ 1 ], \"bond\": [ 1 ], \"discussion\": [ 1 ], \"review\": [ 1 ], \"slash\": [ 1 ], \"vouch\": [ 1 ], \"vouchV2\": [ 1 ], \"project\": [ 1 ], \"reputationMarket\": [ 1 ], \"broker\": [ 1 ], \"includeArchived\": true }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"attestation\": [ 1 ], \"bond\": [ 1 ], \"discussion\": [ 1 ], \"review\": [ 1 ], \"slash\": [ 1 ], \"vouch\": [ 1 ], \"vouchV2\": [ 1 ], \"project\": [ 1 ], \"reputationMarket\": [ 1 ], \"broker\": [ 1 ], \"includeArchived\": true }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/votes/stats") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/votes/stats', headers: {'Content-Type': 'application/json'}, data: { attestation: [1], bond: [1], discussion: [1], review: [1], slash: [1], vouch: [1], vouchV2: [1], project: [1], reputationMarket: [1], broker: [1], includeArchived: true }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/votes/stats';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"attestation":[1],"bond":[1],"discussion":[1],"review":[1],"slash":[1],"vouch":[1],"vouchV2":[1],"project":[1],"reputationMarket":[1],"broker":[1],"includeArchived":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/votes/stats";
let payload = json!({ "attestation": (1), "bond": (1), "discussion": (1), "review": (1), "slash": (1), "vouch": (1), "vouchV2": (1), "project": (1), "reputationMarket": (1), "broker": (1), "includeArchived": true });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/votes/stats \ --header 'Content-Type: application/json' \ --data '{ "attestation": [ 1 ], "bond": [ 1 ], "discussion": [ 1 ], "review": [ 1 ], "slash": [ 1 ], "vouch": [ 1 ], "vouchV2": [ 1 ], "project": [ 1 ], "reputationMarket": [ 1 ], "broker": [ 1 ], "includeArchived": true }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "attestation": [ 1 ], "bond": [ 1 ], "discussion": [ 1 ], "review": [ 1 ], "slash": [ 1 ], "vouch": [ 1 ], "vouchV2": [ 1 ], "project": [ 1 ], "reputationMarket": [ 1 ], "broker": [ 1 ], "includeArchived": true }' \ --output-document \ - https://api.ethos.network/api/v2/votes/statsRequest Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "attestation": [ 1 ], "bond": [ 1 ], "discussion": [ 1 ], "review": [ 1 ], "slash": [ 1 ], "vouch": [ 1 ], "vouchV2": [ 1 ], "project": [ 1 ], "reputationMarket": [ 1 ], "broker": [ 1 ], "includeArchived": true}Responses
Section titled “Responses”Successful response
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
object
object
object
Ethereum address (0x-prefixed, 20 bytes)
object
object
object
object
object
@deprecated Native-currency lifetime totals only. Use stats.vouchTotals (per-token). Removed after 2026-10-20.
object
object
object
object
object
object
object
object
Example
{ "attestation": {}, "bond": {}, "discussion": {}, "review": {}, "slash": {}, "vouch": {}, "vouchV2": {}, "project": {}, "reputationMarket": {}, "broker": {}}Invalid input data
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
The error information
object
The error message
The error code
An array of issues that were responsible for the error
object
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}